POST
/clusters/{name}/identity-provider-configs/describe
http://eks.{region}.amazonaws.com/clusters/{name}/identity-provider-configs/describeReturns descriptive information about an identity provider configuration.
Access Token Required: API Key
Path Parameters
namestringrequired
The cluster name that the identity provider configuration is associated to.
Body Params
identityProviderConfigobjectrequired
An object representing an identity provider configuration.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://eks.{region}.amazonaws.com/clusters/{name}/identity-provider-configs/describe' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}